%%
[Nhat1, S1, fS1] = uteval(y1, hinv, 'ut1', [], p1)
[Nhat2, S2, fS2] = uteval(y2, hinv, 'ut1', [], p2)

plot2(y1, y2, 'legend', 'off');
hold on;
plot(S1(1, :), S1(2, :), 'xb',...
     S2(1, :), S2(2, :), 'dg');
%%
axis([100, 150, 0, pi]);
figure
%%
plot(p1(1), p1(2), '.b',...
     p2(1), p2(2), '.g',...
     'markersize', 15);
hold on;
text(p1(1), p1(2), 'S1');
text(p2(1), p2(2), 'S2');

plot2(Nhat1, Nhat2, xhat,...
      'legend', 'off');
hold on;
plot(fS1(1, :), fS1(2, :), 'xb',...
     fS2(1, :), fS2(2, :), 'dg');
%%
axis([-50 250, -50, 200]);
